List available webhook events
GET
/workspaces/{workspaceId}/available-webhooks
List the available webhook services and filters a customer can use to build its subscription. An example of filter would be to subscribe all events from the service channels and using as filter a channelId.
Pfadparameter
workspaceId
string
The unique identifier of the workspace.
Abfrageparameter
EventFilters
object
The event filters for the request.
service
string
The service for the request.
Possible values: channels, numbers, conversations, payments
Antwort-Payload
results
array of object
Untergeordnete Attribute anzeigen
results.service
string
erforderlich
The service that the webhook is subscribed to. For example, to get events regarding channels, the service would be channels.
Possible values: channels, numbers, payments, conversations, templates
results.events
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.events.name
string
erforderlich
The event name identifies the webhook event, such as sms.outbound for notifications about SMS messages being sent.
results.events.filterKeys
array of string
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/available-webhooks' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Please refer to .to know more about valid events and filters for the services.
Examples
Let's establish some of our data that will be used in the following example:
- Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
- AccessKey: abcd
Listing available webhook events
Codebeispiel
curl -X DELETE "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/lists/123e4567-e89b-12d3-a456-426614174000" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd"